# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Wed Sep 11 15:32:59 2024
# ------------------------------------------------

package:
  name: kombu
  version: 5.4.1
source:
  sha256: 1c05178826dab811f8cab5b0a154d42a7a33d8bcdde9fa3d7b4582e43c3c03db
  url: https://pypi.io/packages/source/k/kombu/kombu-5.4.1.tar.gz
build:
  number: '0'
  script: /home/conda/feedstock_root/build_artifacts/kombu_1726068892888/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . -vv
  string: py311hec3470c_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_16
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_16
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - binutils_impl_linux-aarch64 2.40 hdca1da1_7
    - binutils_linux-aarch64 2.40 h418c4e9_2
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.8.30 hbcca054_0
    - cross-python_linux-aarch64 3.11 42_cpython
    - crossenv 1.4.0 pyhd8ed1ab_0
    - gcc_impl_linux-64 14.1.0 h3c94d91_1
    - gcc_impl_linux-aarch64 14.1.0 h899d399_1
    - gcc_linux-aarch64 14.1.0 h4c90ce9_2
    - kernel-headers_linux-64 3.10.0 h4a8ded7_16
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_16
    - ld_impl_linux-64 2.40 hf3520f5_7
    - ld_impl_linux-aarch64 2.40 h4607a90_7
    - libexpat 2.6.3 h5888daf_0
    - libffi 3.4.2 h7f98852_5
    - libgcc 14.1.0 h77fa898_1
    - libgcc-devel_linux-64 14.1.0 h5d3d1c9_101
    - libgcc-devel_linux-aarch64 14.1.0 ha49cf89_1
    - libgcc-ng 14.1.0 h69a702a_1
    - libgomp 14.1.0 h77fa898_1
    - libiconv 1.17 hd590300_2
    - libnsl 2.0.1 hd590300_0
    - libsanitizer 14.1.0 hcba0ae0_1
    - libsqlite 3.46.1 hadc24fc_0
    - libstdcxx 14.1.0 hc0a3c3a_1
    - libstdcxx-ng 14.1.0 h4852527_1
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 h4ab18f5_1
    - lz4-c 1.9.4 hcb278e6_0
    - ncurses 6.5 he02047a_1
    - openssl 3.3.2 hb9d3cd8_0
    - popt 1.16 h0b475e3_2002
    - python 3.11.10 hc5c86c4_0_cpython
    - readline 8.2 h8228510_1
    - rsync 3.3.0 he6cb5fe_0
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.17 h4a8ded7_16
    - sysroot_linux-aarch64 2.17 h5b4a56d_16
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2024a h8827d51_1
    - xxhash 0.8.2 hd590300_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h68df207_7
    - ca-certificates 2024.8.30 hcefe29a_0
    - colorama 0.4.6 pyhd8ed1ab_0
    - exceptiongroup 1.2.2 pyhd8ed1ab_0
    - iniconfig 2.0.0 pyhd8ed1ab_0
    - ld_impl_linux-aarch64 2.40 h9fc2d93_7
    - libexpat 2.6.3 h5ad3122_0
    - libffi 3.4.2 h3557bc0_5
    - libgcc 14.1.0 he277a41_1
    - libgcc-ng 14.1.0 he9431aa_1
    - libgomp 14.1.0 he277a41_1
    - libnsl 2.0.1 h31becfc_0
    - libsqlite 3.46.1 hc4a20ef_0
    - libuuid 2.38.1 hb4cce97_0
    - libxcrypt 4.4.36 h31becfc_1
    - libzlib 1.3.1 h68df207_1
    - ncurses 6.5 hcccb83c_1
    - openssl 3.3.2 h86ecc28_0
    - packaging 24.1 pyhd8ed1ab_0
    - pip 24.2 pyh8b19718_1
    - pluggy 1.5.0 pyhd8ed1ab_0
    - pytest 8.3.3 pyhd8ed1ab_0
    - python 3.11.10 hde26a29_0_cpython
    - readline 8.2 h8fc344f_1
    - setuptools 73.0.1 pyhd8ed1ab_0
    - tk 8.6.13 h194ca79_0
    - tomli 2.0.1 pyhd8ed1ab_0
    - tzdata 2024a h8827d51_1
    - wheel 0.44.0 pyhd8ed1ab_0
    - xz 5.2.6 h9cdd2b7_0
  run:
    - amqp >=5.1.1,<6.0.0
    - boto3 >=1.26.143
    - python >=3.11,<3.12.0a0
    - python >=3.11,<3.12.0a0 *_cpython
    - python_abi 3.11.* *_cp311
    - vine
test:
  commands:
    - pip check
  imports:
    - kombu
    - kombu.asynchronous
    - kombu.asynchronous.aws
    - kombu.asynchronous.http
    - kombu.transport
    - kombu.transport.virtual
    - kombu.utils
  requires:
    - pip
about:
  dev_url: https://github.com/celery/kombu
  doc_url: https://pythonhosted.org/kombu/
  home: https://kombu.readthedocs.io
  license: BSD-3-Clause
  license_file: LICENSE
  summary: Messaging library for Python.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20240911.2.1
  recipe-maintainers:
    - anguslees
    - chrisburr
    - efiop
    - kwilcox
  remote_url: https://github.com/conda-forge/kombu-feedstock
  sha: e42e8041e1214b9200d08a6f10b5b4f12d9bf76f
